Update TaskStatus

Updates an existing TaskStatus level for a specific Project within your Workspace. A TaskStatus is a named status level used by your business to determine how to measure the progress of Tasks. You can define your own named status levels that are appropriate for your business.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The unique identifier of the Project for the new TaskStatus

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Request

Information about the existing TaskStatus level to update within this Project
idstringOptionalformat: "uuid"
The unique identifier of this TaskStatus.
namestring or nullOptional
The name of this TaskStatus.
orderinteger or nullOptional
A numerical value that can be used to sort TaskStatus values according to the needs of your business.

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
dataobject
A TaskStatus is a named status level used by your business to determine how to measure the progress of Tasks. You can define your own named status levels that are appropriate for your business and determine which status levels are considered done.